Name: H5Sclose
Signature:
  herr_t `H5Sclose`(hid_t `space_id` )
Purpose:
  Releases and terminates access to a dataspace.
Description:
  `H5Sclose` releases a dataspace. Further access through the dataspace identifier is illegal. Failure to release a dataspace with this call will result in resource leaks.
Parameters:

hid_t `space_id` | Identifier of dataspace to release.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5sclose_f

      SUBROUTINE h5sclose_f(space_id, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: space_id  ! Dataspace identifier
        INTEGER, INTENT(OUT) :: hdferr          ! Error code
                                                ! 0 on success and -1 on failure
      END SUBROUTINE h5sclose_f